html {
  position: relative;
  min-height: 100%;
}
body {
  background-color: @bodyBackground;
  font-family: @fontRoboto;
  font-size: 14px;
  line-height: 16px;

  &.sticky {
    margin-bottom: ~"@{footerHeightBody}px";
  }

  .landingPage {
    position: relative;
    background-color: @greenBase;
    background-image: url("/images/bg_welcome.png");
    background-repeat: repeat-x;
    background-position: bottom;
    border-bottom: 1px solid lighten(@black, 92%);
    //margin-top: 55px;
    margin-top: ~"@{landingPagePadding}px";
    padding-bottom: 25px;
    width: 100%;
    display: none;

    &.active {
      display: inline-block;
    }

    .close {
      position: absolute;
      font-size: 28px;
      top: 15px;
      right: 20px;
      color: @white;
      opacity: .5;

      &:hover {
        .trans(@second: 0.2s);
        cursor: pointer;
        opacity: 1;
      }

    }

    h2 {
      font-size: 58px;
      line-height: 36px;
      font-weight: 100;
      color: @white;
      margin-top: 50px
    }

    h4 {
      font-size: 22px;
      line-height: 16px;
      font-weight: 300;
      color: @white;
      margin-top: 30px
    }

    .buttonWelcomeContent {
      display: none;
      &.active {
        display: inline-block;
        width: 100%;
      }
    }

    .buttonWrapper {
      width: 100%;
      display: inline-block;
      margin-top: 50px;
      margin-bottom: 50px;

      .btn {
        padding: 10px 24px;
        &.btn-default {
          background-color: @white;
          border-color: transparent;
          box-shadow: none;
          margin-left: 15px
        }
        &.btn-primary {
          border-color: transparent;
          box-shadow: none;
        }
      }
    }

    .small-info {
      width: 100%;
      display: inline-block;
      margin-top: 0;
      margin-bottom: 25px;
      font-weight: 300;
      font-size: 16px;
      color: @white;

      span {
        position: relative;
        font-weight: 700;
        display: inline-block;

        &:after {
          content: "";
          position: absolute;
          background-color: rgba(0, 0, 0, 0.15);
          width: 100%;
          height: 2px;
          display: block;
          bottom: -3px
        }

      }

    }

  }

  .container {
    //padding-right: 0;
    //padding-left: 0;
  }

  .wrapper {
    padding-top: ~"@{wrapperPadding}px";

    &.homepage {
      padding-top: 20px;
    }

    &.clear-padding {
      padding-top: 0;
    }

    .sorting {
      display: inline-block;
      margin-bottom: 25px;
    }

    &.userProfil {
      padding-top: 45px;
    }
    &.page {
      padding-top: 70px;
    }


  }

  .bugs {
    .borderCorner(25,25,25,25);
    position: fixed;
    background-color: @basePurple;
    color: @white;
    right: 20px;
    bottom: 20px;
    padding-left: 15px;
    padding-right: 15px;
    padding-bottom: 10px;
    padding-top: 10px;
    opacity: .6;
    z-index: 1;
    i {
      //margin-right: 8px;
    }

    &:hover {
      .trans(@second: 0.2s);
      opacity: 1;
      text-decoration: none;
    }

  }

}